
module.exports = function (mu) {

    // NAME - the name you wish to register the template under.
    // TEMPLATE - the name, path or static string template to use for the registration.
    // PARTIALS - a string or array of TEMPLATES to use as partials for main TEMPLATE.
    // CALLBACK - a callback that allows manual control of TEMPLATe before rendering to file.

    // Usage: mu.register(NAME, TEMPLATE, PARTIALS, CALLBACK);

    /* Simple Register
    *******************************************/

    // Define name and associated template.
    // The first argument is the name you wish to register
    // this name will be used when calling:
    // mu generate <template> where <template> is
    // the registered name.

    // The second arg is the path to the template to
    // associate to your name or the name of a known
    // template (.tpl files are loaded automatically).
    // Known templates can be referenced by file name
    // without extension. Additionally a static template
    // string can be passed directly for inline
    // registrations.

    // mu.register('DB', 'service');

    /* Partials Register
    *******************************************/

    // Mustr supports partials as well. You could handle
    // partials manually in the callback (see advanced below)
    // however in most cases it's easiest to just pass
    // the logicless partials in your reigster command.
    // They will then be automatically rendered using your
    // front matter and/or flags passed in cli.

    // mu.register('DB', 'service', 'author');
    // // OR
    // // mu.register('DB', 'service', ['author', 'footer']);

    /* Advanced Register
    *******************************************/

    // When registring with a callback the template can
    // be manipulated before rendering. Alternatively
    // you can forego calling "done" callback and render
    // the template manually for full control.
    // See docs or typings for template properties.

    // mu.register('DB', 'service', (template, done) => {

    //   // do something with template
    //   // then call done to auto render.
    //   done();

    //   // Render manually.
    //   mu.render(template);

    // });

};