"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("./index");
var path_1 = require("path");
var mustrConfig;
var mustrPath = path_1.resolve(process.cwd(), 'mustr.json');
// Try to load the mustr.json config if exists.
try {
    mustrConfig = require(mustrPath);
}
catch (ex) {
    mustrConfig = {};
}
// Create Mustr instance.
var mu = new index_1.Mustr(mustrConfig);
// Just add some spacing.
console.log();
// Handler for generating templates.
function generate() {
    if (!mustrConfig || !mustrConfig.configDir)
        mu.log.warn('invalid or missing Mustr config, do you need to call mu init?').exit();
    // Generate the template.
    var template = mu.generate();
    // If was registered with an action call it.
    if (template.beforeRender) {
        template.beforeRender(template, function () {
            mu.render.call(mu, template);
        });
    }
    else {
        mu.render.call(mu, template);
    }
}
// Bind CLI methods.
mu.pargv
    .action('help', 'h', mu.help.bind(mu))
    .action('init', 'i', mu.init.bind(mu))
    .action('generate', 'g', generate)
    .action('*', function () {
    mu.log
        .warn('no command selected, did you mean to call "mu help"?')
        .write()
        .exit();
})
    .parse();
//# sourceMappingURL=cli.js.map